apiVersion: v1
kind: Service
metadata:
  annotations:
    "app.gitlab.com/app": CI_PROJECT_PATH_SLUG
    "app.gitlab.com/env": CI_ENVIRONMENT_SLUG
  labels:
    application: CI_ENVIRONMENT_SLUG
    release: CI_ENVIRONMENT_SLUG
  name: foo
spec:
  clusterIP: None
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    application: CI_ENVIRONMENT_SLUG
    release: CI_ENVIRONMENT_SLUG
  sessionAffinity: None
  type: ClusterIP